html, body {
    height: 100vh;
    width: 100vw;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
}

div {
    aspect-ratio: 1; 
    height: 5rem;
    border: 1rem solid greenyellow;
    border-top-color: green;
    border-radius: 50%;
    -webkit-animation:spin 4s linear infinite;
    -moz-animation:spin 4s linear infinite;
    animation:spin 600ms linear infinite;
}

@-moz-keyframes spin { 
    100% { -moz-transform: rotate(360deg); } 
}
@-webkit-keyframes spin { 
    100% { -webkit-transform: rotate(360deg); } 
}
@keyframes spin { 
    100% { 
        -webkit-transform: rotate(360deg); 
        transform:rotate(360deg); 
    } 
}